package main

import (
	"flag"
	"log"
	"net/http"
	"path/filepath"

	"git.wntrmute.dev/kyle/quick-note/handler"
	"git.wntrmute.dev/kyle/quick-note/note"
)

func main() {
	addr := flag.String("a", "127.0.0.1:3030", "address to listen on")
	path := flag.String("p", "", "path to dendron vault")
	flag.Parse()

	if *path != "" {
		note.BasePath = filepath.SplitList(*path)
	}

	http.HandleFunc("/", handler.Index)
	log.Println("listening on", *addr)
	log.Println("document root is", filepath.Join(note.BasePath...))
	log.Fatal(http.ListenAndServe(*addr, nil))
}
